DUMPE2FS(8)

NAZWA
dumpe2fs - zrzuca dane o systemie plików ext2/ext3/ext4

SKŁADNIA
dumpe2fs [ -bfhixV ] [ -o superblock=superblok ] [ -o blocksize=rozmiar-bloku ] urządzenie

OPIS
dumpe2fs wypisuje superblok i informacje grupy bloków systemu plików znajdującego się na urządzeniu urządzenie.

Uwaga: Gdy program jest używany na zamontowanym systemie plików, to wypisane informacje mogą być nieaktualne lub niespójne.

OPCJE

-b  Wypisuje bloki, które są zaznaczone jako uszkodzone.

-o superblock=superblok
    Używa bloku superblok podczas badania systemu plików. Ta opcja zwykle nie jest potrzebna z wyjątkiem eksperta systemu plików, który bada resztki po mocno zniszczonym systemie plików.

-o bloksize= rozmiar-bloku
    Używa bloków o rozmiarze blocksize bajtów podczas badania systemu plików. Ta opcja zwykle nie jest potrzebna z wyjątkiem eksperta systemu plików, który bada resztki po mocno zniszczonym systemie plików.

-f  Zmusza dumpe2fs aby wyświetlał system plików nawet wtedy, gdy może on mieć ustawione flagi, których dumpe2fs nie rozumie (i które mogą powodować to, że dumpe2fs nie chce ich wyświetlać).

-h  Wyświetla tylko informacje na temat superbloku bez szczegółów o deskryptorach grup bloków.

-i  Wyświetla dane systemu plików z obrazu znajdującego się w pliku, utworzonego przez e2image, używając urządzenie jako ścieżkę do pliku z obrazem.

-x  Wyświetla szczegółowe informacje na temat grupy bloków w formie szesnastkowej.

-V  Wypisuje numer wersji dumpe2fs i kończy działanie.

BŁĘDY
Konieczna jest znajomość fizycznej struktury systemu plików, aby zrozumieć wyjście.

AUTOR
dumpe2fs został napisany przez Remy'ego Carda <Remy.Card@linux.org>. Obecnie opiekuje się nim Theodore Ts'o <tytso@alum.mit.edu>.

DOSTĘPNOŚĆ
dumpe2fs jest częścią pakietu e2fsprogs i jest dostępny na stronie http://e2fsprogs.sourceforge.net.

ZOBACZ TAKŻE
e2fsck(8), mke2fs(8), tune2fs(8). ext4(5)

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Przemek Borys (PTM) <pborys@dione.ids.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 1.42.12 oryginału.